<bugID>729063<Summary>[New Tab Page] add drop-down to preference dialog</Summary><Description>Created attachment 599086
Example of the 'new tab' drop-down menu

I think we should remove the toolbar (the buttons in the upper right) from the New Tab Page. Bug 716543 has already been filed to remove the refresh/reset button and lots of people didn't understand how to disable the NTP.

We should introduce a simple drop-down menu in "Preferences &gt; Tabs" and implement bug 722234 (and not bug 716543, imho). This wouldn't only simplify the NTP and its code but also make it more obvious how to enable/disable the feature.

This would also provide a good solution for bug 724239 as it's not an empty about:newtab page, but really about:blank when the NTP is disabled.</Description></bugID>